Edit Package libgcrypt

The GNU Crypto Library

Libgcrypt is a general purpose crypto library based on the code used in
GnuPG.

Refresh
Refresh
Source Files (show merged sources derived from linked package)
Filename Size Changed
baselibs.conf 0000000226 226 Bytes over 7 years
cavs-test.sh 0000001627 1.59 KB over 7 years
cavs_driver.pl 0000082872 80.9 KB over 2 years
drbg_test.patch 0000049002 47.9 KB about 1 year
libgcrypt-1.4.1-rijndael_no_strict_aliasing.patch 0000000732 732 Bytes about 1 year
libgcrypt-1.5.0-LIBGCRYPT_FORCE_FIPS_MODE-env.diff 0000000907 907 Bytes about 1 year
libgcrypt-1.6.1-fips-cavs.patch 0000034886 34.1 KB over 5 years
libgcrypt-1.6.1-use-fipscheck.patch 0000002411 2.35 KB 12 months
libgcrypt-1.8.3-fips-ctor.patch 0000008686 8.48 KB about 1 year
libgcrypt-1.8.4-allow_FSM_same_state.patch 0000000393 393 Bytes almost 3 years
libgcrypt-1.8.4-fips-keygen.patch 0000002692 2.63 KB 12 months
libgcrypt-1.8.4-fips_ctor_skip_integrity_check.patch 0000000846 846 Bytes over 2 years
libgcrypt-1.8.4-getrandom.patch 0000004034 3.94 KB 12 months
libgcrypt-1.8.4-use_xfree.patch 0000001144 1.12 KB almost 3 years
libgcrypt-1.9.4.tar.bz2 0003239704 3.09 MB 5 months
libgcrypt-1.9.4.tar.bz2.sig 0000000119 119 Bytes 5 months
libgcrypt-FIPS-GMAC_AES-benckmark.patch 0000000575 575 Bytes almost 2 years
libgcrypt-FIPS-RSA-DSA-ECDSA-hashing-operation.patch 0000007228 7.06 KB about 1 year
libgcrypt-FIPS-fix-gcry_mpi_sub_ui.patch 0000007742 7.56 KB about 1 month
libgcrypt-PCT-DSA.patch 0000003584 3.5 KB over 1 year
libgcrypt-PCT-ECC.patch 0000009784 9.55 KB 12 months
libgcrypt-PCT-RSA.patch 0000004034 3.94 KB 12 months
libgcrypt-Restore-self-tests-from-constructor.patch 0000000613 613 Bytes almost 2 years
libgcrypt-dsa-rfc6979-test-fix.patch 0000004425 4.32 KB about 2 years
libgcrypt-ecc-ecdsa-no-blinding.patch 0000003081 3.01 KB about 1 year
libgcrypt-fips_selftest_trigger_file.patch 0000001081 1.06 KB 12 months
libgcrypt-fipsdrv-enable-algo-for-dsa-sign.patch 0000002101 2.05 KB 12 months
libgcrypt-fipsdrv-enable-algo-for-dsa-verify.patch 0000002392 2.34 KB almost 4 years
libgcrypt-fix-rng.patch 0000000914 914 Bytes over 5 years
libgcrypt-fix-tests-fipsmode.patch 0000007915 7.73 KB 12 months
libgcrypt-global_init-constructor.patch 0000007165 7 KB 12 months
libgcrypt-invoke-global_init-from-constructor.patch 0000000474 474 Bytes almost 2 years
libgcrypt-pthread-in-t-lock-test.patch 0000000687 687 Bytes 6 months
libgcrypt-random_selftests-testentropy.patch 0000000634 634 Bytes almost 2 years
libgcrypt-rsa-no-blinding.patch 0000003534 3.45 KB almost 2 years
libgcrypt.changes 0000056381 55.1 KB about 2 months
libgcrypt.keyring 0000004008 3.91 KB over 1 year
libgcrypt.spec 0000009402 9.18 KB about 2 months
random.conf 0000000302 302 Bytes about 1 year
Comments 2

Yutaka Niibe's avatar

gniibe wrote 5 months ago

I am one of upstream maintainers of libgcrypt, merging patches into upstream.

I think that the patch libgcrypt-sparcv9.diff is bogus and can be removed; (1) If it will be applied to SPARC V9, it is only valid when you build 32-bit ABI for the 64-bit architecture. This is very rare use case (as of now in 2021), possibly it made sense when 32-bit ABI was common. (2) It doesn't work for SPARC V9 (have never worked) machine, because of typo (space_v9, instead of sparc_v9).

Please consider removal of the patch.


Pedro Monreal Gonzalez's avatar

pmonrealgonzalez wrote 5 months ago

Hi, @gniibe! Thanks for your comment. I'm the maintainer of libgcrypt for SUSE and openSUSE. I'll update to version 1.9.4 now and I'll remove the sparc_v9 old-and-broken patch.

I've seen you are considering some of our FIPS patches for inclusion upstream. Please, let me know if you need something from our side.

openSUSE Build Service is sponsored by